commit:     13bcc3d0c3431d207ea034c174c271be88b15d95
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Mon Jan  9 20:58:15 2017 +0000
Commit:     Ian Whyman <thev00d00 <AT> gentoo <DOT> org>
CommitDate: Mon Jan  9 21:25:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13bcc3d0

dev-libs/libcec: version bump 4.0.1

Package-Manager: portage-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/3382

 dev-libs/libcec/Manifest            |  1 +
 dev-libs/libcec/libcec-4.0.1.ebuild | 81 +++++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/dev-libs/libcec/Manifest b/dev-libs/libcec/Manifest
index ebaf39d..4395d8e 100644
--- a/dev-libs/libcec/Manifest
+++ b/dev-libs/libcec/Manifest
@@ -4,3 +4,4 @@ DIST libcec-2.2.0.tar.gz 1099150 SHA256 
fd4f47a18d6e0f4b9e6f5831280207ee2b2a5fc2
 DIST libcec-3.0.1.tar.gz 1117284 SHA256 
7e3670c8949a1964d6e5481f56dfff838857da10bdc60b506f6e9b7f117e253e SHA512 
b579853d2d20d1007cb9128c8bb457da7c0c0138bba82fd45b05971be9c2232af6a064ab0a4f88bab10f6bda23baefffc43e717ad08b86bba3cf05c211ac5ee4
 WHIRLPOOL 
46583c7c8b45613a152fe37536992186a6929733dccde0399bed0cc86d07bb6e14da58ae42a12ee1ca192a2716b95b48bda9722749abfd40418b5f0f067f7a40
 DIST libcec-3.1.0.tar.gz 1097121 SHA256 
09109d21a1b03f42c9e341d12600f2e4c41038d640269fa75408e2d36126f921 SHA512 
e06f65d85ee268ec23380186d11e53f3e477bf25b955c9314cc13555eedeffee902dc8a0f3005248250c584760ab68c461b087b305dc4ef463da628ee1ab433b
 WHIRLPOOL 
05e60255d00a897a53f042263ae73f61999875fe508a2fc6334cc00b62442d7e991a0f6a742acab440119ccdd34dfc842d97efe4fcb1a697181e76e3a0b414f8
 DIST libcec-4.0.0-3.tar.gz 333759 SHA256 
5c82a3f7075df35319bc223627f2decedb38a3322c621bb925f7807aa1e43d50 SHA512 
1a6e4860b49b84f77c233e60821f62ca1b68476212bb4f7d8354844006bf1f8c120d65b7f3d74e1f573386059b032874f98718e447fea612b7f4834cf3f7e474
 WHIRLPOOL 
10222109145e4df3f7e201f5a333939057e1c10c0be2559ff4339be2a5a4f33093195d287f267680c56f159230b15f7166d3180bebce8d1018873754a039da8b
+DIST libcec-4.0.1.tar.gz 333874 SHA256 
92dd5d19675d571856c67785ea2dac0d11c4205a320c500981117152ffcdc15f SHA512 
3faaee97a3cc160c1b6377b9d0cd4e2c8f57c1995843b240a5c73e3302180f89c93e9ea8f01865b6d1f7888270c77040f5cbc24dea33abe94fcfffa42bbd9e27
 WHIRLPOOL 
c4285e9a2891a792ae934548e5b6ee3331a4d5f88883cae4c40ce1b4f4669048b7115345c1dca131d8b571ad04791372083b2b39e4f3be83acf103fc7c36da2f

diff --git a/dev-libs/libcec/libcec-4.0.1.ebuild 
b/dev-libs/libcec/libcec-4.0.1.ebuild
new file mode 100644
index 00000000..bfc9a07
--- /dev/null
+++ b/dev-libs/libcec/libcec-4.0.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+MY_PV=${PV/_p/-}
+MY_P=${PN}-${MY_PV}
+
+inherit cmake-utils linux-info python-single-r1 toolchain-funcs
+
+DESCRIPTION="Library for communicating with the Pulse-Eight USB HDMI-CEC 
Adaptor"
+HOMEPAGE="http://libcec.pulse-eight.com";
+SRC_URI="https://github.com/Pulse-Eight/${PN}/archive/${MY_P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="cubox exynos python raspberry-pi +xrandr"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="virtual/udev
+       >=dev-libs/libplatform-2.0.0
+       raspberry-pi? ( >=media-libs/raspberrypi-userland-0_pre20160305-r1 )
+       xrandr? ( x11-libs/libXrandr )
+       python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       python? ( dev-lang/swig )
+       virtual/pkgconfig"
+
+CONFIG_CHECK="~USB_ACM"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+pkg_pretend() {
+       linux-info_pkg_setup
+}
+
+pkg_setup() {
+       linux-info_pkg_setup
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       # Do not hardcode the python libpath #577612
+       sed -i \
+               -e 
'/DESTINATION/s:lib/python${PYTHON_VERSION}/dist-packages:${PYTHON_SITEDIR}:' \
+               src/libcec/cmake/CheckPlatformSupport.cmake || die
+
+       use python || cmake_comment_add_subdirectory "src/pyCecClient"
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DSKIP_PYTHON_WRAPPER=$(usex !python)
+               -DHAVE_EXYNOS_API=$(usex exynos)
+               -DHAVE_TDA995X_API=$(usex cubox)
+               -DHAVE_RPI_API=$(usex raspberry-pi)
+       )
+       use python && mycmakeargs+=(
+               -DPYTHON_SITEDIR="$(python_get_sitedir)"
+       )
+
+       # raspberrypi-userland itself does not provide .pc file so using
+       # bcm_host.pc instead
+       use raspberry-pi && mycmakeargs+=(
+               -DRPI_INCLUDE_DIR=$( $(tc-getPKG_CONFIG) --variable=includedir 
bcm_host) \
+               -DRPI_LIB_DIR=$( $(tc-getPKG_CONFIG) --variable=libdir bcm_host)
+       )
+
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       elog "You will need to ensure the user running your CEC client has"
+       elog "read/write access to the device. You can ensure this by adding"
+       elog "them to the uucp group"
+}

Reply via email to